Skip to main content
GET
/
v2
/
folder-contents
List Folder Contents
curl --request GET \
  --url https://public.api.serval.com/v2/folder-contents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "itemId": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamId
string
required

The ID of the team.

itemType
enum<string>
required

The non-folder item type of the folder tree to list.

Available options:
FOLDER_ITEM_TYPE_UNSPECIFIED,
FOLDER_ITEM_TYPE_FOLDER,
FOLDER_ITEM_TYPE_WORKFLOW,
FOLDER_ITEM_TYPE_GUIDANCE
folderId
string

The folder whose direct items should be listed. Unset lists the root.

pageSize
integer<int32>

Maximum number of results to return. Default is 1000, maximum is 2000.

pageToken
string

Token for pagination. Leave empty for the first request.

Response

Success

data
FolderItem · object[]
nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.